// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_multi_robot_msgs:msg/RobotGoalsArray.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_multi_robot_msgs/msg/robot_goals_array.h"


#ifndef TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROBOT_GOALS_ARRAY__STRUCT_H_
#define TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROBOT_GOALS_ARRAY__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'robots'
#include "tuw_multi_robot_msgs/msg/detail/robot_goals__struct.h"

/// Struct defined in msg/RobotGoalsArray in the package tuw_multi_robot_msgs.
/**
  * Used to send goal requests for multiple robots to the multi robot planner
 */
typedef struct tuw_multi_robot_msgs__msg__RobotGoalsArray
{
  /// the time of the generation
  std_msgs__msg__Header header;
  /// contains a goals/checkpoints for each robot
  tuw_multi_robot_msgs__msg__RobotGoals__Sequence robots;
} tuw_multi_robot_msgs__msg__RobotGoalsArray;

// Struct for a sequence of tuw_multi_robot_msgs__msg__RobotGoalsArray.
typedef struct tuw_multi_robot_msgs__msg__RobotGoalsArray__Sequence
{
  tuw_multi_robot_msgs__msg__RobotGoalsArray * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__msg__RobotGoalsArray__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__ROBOT_GOALS_ARRAY__STRUCT_H_
